| Home | Libraries | People | FAQ | More

## Struct template inter_section

boost::icl::inter_section

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inter_section :
      public boost::icl::identity_based_inplace_combine< Type >
    {
      // types
      typedef boost::mpl::if_< has_set_semantics< Type >, icl::inplace_et< Type >, icl::inplace_plus< Type > >::type type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inter_section` public member functions

1.     void operator()(Type & object, const Type & operand) const;